Subject: Re: [amos-list] JOY vs KEYSTATE
From: "Drew" <[email-masked]>
To: <[email-masked]>
Date: Sun, 6 Jun 1999 01:36:50 -0500

From: "Drew" <[email-masked]>

PLEASE REMOVE THIS ADDRESS FROM YOUR LISTING

-----Original Message-----
From: Andrew Crowe <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Tuesday, June 01, 1999 2:05 PM
Subject: Re: [amos-list] JOY vs KEYSTATE

>From: Andrew Crowe <[email-masked]>
>
>Hi Everybody,
>
>> problem thaqt I can't figure out. Take the following;-
>> If jdown(1):y=y+1:endif : rem Fine, bob moves down OK, no probs' if
>> fire(1):<proc _fire>:endif; rem Fine, _Fire works OK Now do the two
>> together and it works fine as you would expect, Bob moves down and fires
>> at the same time, no problem whatsoever, done it hundreds of times.
>> NOW, do exactly rthe same thing using Keystate, with keystate(77) curs
>> down, for jdown(1) and keystate(64) spacebar, for fire(1). Fine, they
both
>> work great. Now try the two together and it locks up, Why?. All the rest
>> work OK, Up, Right, Left with Fire(spacebar). only down is effected. in
>> the end, I have had to use an Alt key for Fire. A simple way to test
this,
>> is use "Bell " and "Shoot"in place of the bob move and the fire
>> It's surprising how often one gets these things, which outwardly don't
>> make sence.
>
>   Congratulations, you have descovered the EVIL which is keyboard
conficts.
>This happens whenever a key on the same line is pressed. (try c and v or b
>or n for example) The arrow keys are evil as they conflict with all the
>lines of letters and should not be used for more then one player
>
>   What you should have for two players:
>
>  [S or D]
>
>[Z] [X] [C]
>
>with shifts and
>
> [0 or -]
>
>[o] [p] [[]
>
>with other shifts etc
>
>   That way you get no conflict.
>
>--
>       Manta Soft  -  Amiga programing & web page designing
>          Http://mantasoft.aio.co.uk/      ICQ: 21829166
>Homepage updated 24/5/99 --- Bomberman clone update & site changes
>  - ------------------- Quote of the day: -------------------- -
>Samuel Baldwin was buried at sea in 1736 at the
>deceased's own request in order to frustrate his wife - in
>frequent squabbles she declared her intention to dance on his grave.
>--The Miscellanea Digest
>
>
>------------------------------------------------------------------------
>Congratulations to "M-K-ROSES," our latest ONElist of the Week.
>http://www.onelist.com
>Visit our homepage and share with us how ONElist is changing YOUR life!
>------------------------------------------------------------------------
>Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html
>

------------------------------------------------------------------------
Looking to expand your world?
http://www.onelist.com
ONElist has nearly 160,000 e-mail communities from which to chose!
------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html